Python
from openlayer import Openlayer
client = Openlayer()
inference_pipeline = client.inference_pipelines.delete(
inference_pipeline_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)import Openlayer from 'openlayer';
const openlayer = new Openlayer();
await openlayer.inferencePipelines.delete(
inferencePipelineId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);package main
import (
"context"
"github.com/openlayer-ai/openlayer-go"
"github.com/openlayer-ai/openlayer-go/option"
)
client := openlayer.NewClient()
client.Projects.InferencePipelines.Delete(
context.TODO(),
inferencePipelineId: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.ProjectInferencePipelineDeleteParams;
import com.openlayer.api.models.ProjectInferencePipelineDeleteResponse;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
ProjectInferencePipelineDeleteParams params = ProjectInferencePipelineDeleteParams.builder()
.inferencePipelineId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
ProjectInferencePipelineDeleteResponse response = client.projects().inferencePipelines().delete(params);curl --request DELETE \
--url https://api.openlayer.com/v1/projects/{projectId}/inference-pipelines/{inferencePipelineId} \
--header 'Authorization: Bearer <token>'{
"code": 123,
"error": "<string>"
}Monitoring
Delete data source
Delete a data source (formerly known as “inference pipeline”) by its ID.
Python
from openlayer import Openlayer
client = Openlayer()
inference_pipeline = client.inference_pipelines.delete(
inference_pipeline_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)import Openlayer from 'openlayer';
const openlayer = new Openlayer();
await openlayer.inferencePipelines.delete(
inferencePipelineId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
);package main
import (
"context"
"github.com/openlayer-ai/openlayer-go"
"github.com/openlayer-ai/openlayer-go/option"
)
client := openlayer.NewClient()
client.Projects.InferencePipelines.Delete(
context.TODO(),
inferencePipelineId: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)import com.openlayer.api.client.OpenlayerClient;
import com.openlayer.api.client.okhttp.OpenlayerOkHttpClient;
import com.openlayer.api.models.ProjectInferencePipelineDeleteParams;
import com.openlayer.api.models.ProjectInferencePipelineDeleteResponse;
OpenlayerClient client = OpenlayerOkHttpClient.fromEnv();
ProjectInferencePipelineDeleteParams params = ProjectInferencePipelineDeleteParams.builder()
.inferencePipelineId("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")
.build();
ProjectInferencePipelineDeleteResponse response = client.projects().inferencePipelines().delete(params);curl --request DELETE \
--url https://api.openlayer.com/v1/projects/{projectId}/inference-pipelines/{inferencePipelineId} \
--header 'Authorization: Bearer <token>'{
"code": 123,
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.
Path Parameters
The inference pipeline id (a UUID).
Response
Response OK.
Was this page helpful?
⌘I

